      subroutine where (x,y,factor)
c
c  returns current:
c    x - pen x position in inches from last origin
c    y - pen y position in inches from last origin
c    f - plot sizing factor (see subroutine factor)
c
c @(#)where.f	1.1  4/3/89 
c
      include 'device_type.h'
      common /tscale/ sfactt
      common /pwhere/ xlast,ylast
      common /cqpbnf/ xold, yold, fac, ires
C
      if (color_ws .or. mono_ws) then
         x = xlast
         y = ylast
         factor = sfactt
      elseif (PostScript) then
         x = xold/fac
         y = yold/fac
         factor = fac
      endif
      return
      end
